Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.rule.model.impl
Class LeafConditionSettingIterator

    java.lang.Object
      org.eclipse.emf.ecp.view.spi.rule.model.impl.LeafConditionSettingIterator

All Implemented Interfaces:
  Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting>

    public class LeafConditionSettingIterator

extends Object
implements Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting>

Iterator that returns all settings of the condition's `LeafCondition.getDomainModelReference()` and `LeafCondition.getValueDomainModelReference()`.

Since:
  1.5
Author:
  jfaltermeier

Constructor Summary
`LeafConditionSettingIterator(LeafCondition condition, boolean includeNonValueRelatedSettings)` Constructs a new `LeafConditionSettingIterator`.

Method Summary
`Set<VDomainModelReference>` | `getUsedValueDomainModelReferences()` Returns the used `VDomainModelReferences`. This map will contain all entries when the iterator has reached its end.
`boolean` | `hasNext()`
`org.eclipse.emf.ecore.EStructuralFeature.Setting` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LeafConditionSettingIterator

    public LeafConditionSettingIterator(LeafCondition condition,
                                        boolean includeNonValueRelatedSettings)

  Constructs a new `LeafConditionSettingIterator`.

  Parameters:
    `condition` - the leaf condition
    `includeNonValueRelatedSettings` - whether to include non value related settings

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting>`
  See Also:
    `Iterator.hasNext()`

### next

    public org.eclipse.emf.ecore.EStructuralFeature.Setting next()

  Specified by:
    `next` in interface `Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting>`
  See Also:
    `Iterator.next()`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting>`
  See Also:
    `Iterator.remove()`

### getUsedValueDomainModelReferences

    public Set<VDomainModelReference> getUsedValueDomainModelReferences()

  Returns the used `VDomainModelReferences`. This map will contain all entries when the iterator has reached its end.

  Returns:
    the map

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.